/* $Id: main.c 12 2023-02-12 11:01:13Z nishi $ */

#include <stdio.h>

#include <webcap/gui.h>
#include <webcap/util.h>
#include <webcap.h>
#include <stdlib.h>

int argc;
char** argv;

char* sstrdup(const char*);

int main(int _argc, char** _argv){
#ifdef __OLD_WWW__
	printf("-------------------- WARNING --------------------\n");
	printf("This WebCap was compiled w/ __OLD_WWW__ macro,\n");
	printf("which makes it uses the \"Old\" HTTP parser.\n");
	printf("We don't recommend using it - since curl has the\n");
	printf("better HTTP parser, and __OLD_WWW__ doesn't\n");
	printf("support HTTPS.\n");
	printf("-------------------------------------------------\n");
#endif
	argc = _argc;
	argv = malloc((argc + 1) * sizeof(*argv));
	int i;
	argv[argc] = NULL;
	argv[0] = sstrdup("EEE++ WebCap");
	for(i = 1; i < argc; i++){
		argv[i] = sstrdup(_argv[i]);
		if(strcmp(argv[i], "--useragent") == 0){
			char* useragent = webcap_useragent();
			printf("%s\n", useragent);
			free(useragent);
			return 0;
		}
	}
	printf("WebCap v%s starting up\n", WEBCAP_VERSION);
	webcap_gui_init();
}
